
Redmine - Feature #33301

Add option to include enabled issue custom fields in projects#show API response

2020-04-17 06:42 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

This is helpful in case the custom fields of a project are to be manipulated via the API - you have to know the currently assigned

fields in order to update that list.

Related issues:

Related to Redmine - Defect #38668: Unable to retrieve custom fields set as "... Closed

Has duplicate Redmine - Feature #16523: RESTful API: Expose custom fields pro... Closed

Associated revisions

Revision 19714 - 2020-04-21 10:55 - Go MAEDA

Adds option to include issue custom fields in projects#show API response (#33301).

Patch by Jens Krämer.

History

#1 - 2020-04-17 09:56 - Marius BĂLTEANU

- Target version set to Candidate for next major release

#2 - 2020-04-18 07:07 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#3 - 2020-04-21 10:59 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you for your contribution.

#4 - 2020-06-17 11:45 - Go MAEDA

- Has duplicate Feature #16523: RESTful API: Expose custom fields project relations added

#5 - 2021-03-28 01:49 - Go MAEDA

- Tracker changed from Patch to Feature

- Resolution set to Fixed

#6 - 2023-06-21 11:57 - Go MAEDA

- Related to Defect #38668: Unable to retrieve custom fields set as "For all projects" via Projects API added

Files
